Bug 734799 - [RFE] API - Method(s) in configchannel to fetch or remove any object revision number
Summary: [RFE] API - Method(s) in configchannel to fetch or remove any object revision...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-08-31 14:01 UTC by Milan Zázrivec
Modified: 2011-12-22 16:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 699497
Environment:
Last Closed: 2011-12-22 16:50:57 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2011-08-31 14:01:22 UTC
+++ This bug was initially created as a clone of Bug #699497 +++

This bug is a request for following XML-RPC API enhancements:

* API call to delete arbitrary configuration file revision
* API call to fetch arbitrary configuration file revision

Comment 1 Milan Zázrivec 2011-09-01 14:25:29 UTC
Following new API calls have been implemented as a part of this RFE:

* configchannel.deleteFileRevisions()
 - spacewalk.git master: 66852a112809b10e110186f5e604369cb42992f6
 - API call to delete arbitrary config file revision

* configchannel.getFileRevisions()
 - spacewalk.git master: 5067a62c15a29f47da377ca03c7587f3f9f918fe
 - API call to list available config file revisions

* configchannel.getFileRevision()
 - spacewalk.git master: 130e2cea44de094d0c2b1fd919630090e56ef508
 - API call to get a particular config file revision

Comment 6 Milan Zázrivec 2011-12-22 16:50:57 UTC
Spacewalk 1.6 has been released.


Note You need to log in before you can comment on or make changes to this bug.